  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."REVIEW_PARAMETER_V" ("REVIEW_NAME", "UNIQUE_REVIEW_DEF_ID") AS 
  SELECT DISTINCT 
defn.name review_name,
defn.unique_review_def_id
FROM review_definition defn
where
    exists (select 1 from review_instance ri
    				 join review_item item on item.review_instance_id = ri.id
    				 where ri.review_definition = defn.id) AND defn.deleted = 0;

GRANT SELECT ON igops.review_parameter_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM review_parameter_v for igops.review_parameter_v;