CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."REVIEWER_PARAMETER_V" ("REVIEWER_DISPLAY_NAME", "REVIEWER_ID") AS 
  SELECT DISTINCT 
reviewer.display_name reviewer_display_name, reviewer.id reviewer_id
FROM suser reviewer 
where
	exists (select 1 FROM review_item item 
				 join review_instance instance on item.review_instance_id = instance.id
				 join reviewer_instance inst3 on instance.id = inst3.review_instance_id
				 where TO_CHAR(inst3.single_reviewer_unique_id) = TO_CHAR(reviewer.unique_user_id) AND reviewer.effective = 1);

GRANT SELECT ON igops.reviewer_parameter_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM reviewer_parameter_v for igops.reviewer_parameter_v;