CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."USER_PARAMETER_V" ("USER_ID", "USER_DISPLAY_NAME") AS 
  SELECT DISTINCT 
CASE
    WHEN item.item_type = 'ACCOUNT' AND usr.id IS NULL THEN user_acct.id
    ELSE usr.id
END AS user_id,
CASE
    WHEN item.item_type = 'ACCOUNT' AND usr.display_name IS NULL THEN user_acct.display_name
    ELSE usr.display_name
END AS user_display_name
FROM review_item item
LEFT JOIN suser usr ON usr.unique_user_id = item.unique_user_id AND usr.effective = 1
LEFT JOIN saccount acct ON acct.unique_account_id = item.unique_account_id AND acct.effective = 1
LEFT JOIN saccount_user acct_user ON acct_user.saccount = acct.id
LEFT JOIN suser user_acct ON user_acct.id = acct_user.suser;

GRANT SELECT ON igops.user_parameter_v TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM user_parameter_v for igops.user_parameter_v;