CREATE OR REPLACE VIEW user_parameter_v AS 
SELECT DISTINCT 
CASE
    WHEN item.item_type::text = 'ACCOUNT'::text AND usr.id IS NULL THEN user_acct.id
    ELSE usr.id
END AS user_id,
CASE
    WHEN item.item_type::text = 'ACCOUNT'::text AND usr.display_name IS NULL THEN user_acct.display_name
    ELSE usr.display_name
END AS user_display_name

FROM review_item item
LEFT JOIN suser usr ON usr.unique_user_id::text = item.unique_user_id::text AND usr.effective = true
LEFT JOIN saccount acct ON acct.unique_account_id::text = item.unique_account_id::text AND acct.effective = true
LEFT JOIN saccount_user acct_user ON acct_user.saccount = acct.id
LEFT JOIN suser user_acct ON user_acct.id = acct_user.suser;

ALTER TABLE public.user_parameter_v
  OWNER TO igops;
GRANT ALL ON TABLE public.user_parameter_v TO igops;
GRANT SELECT ON TABLE public.user_parameter_v TO ig_report_role;